<template>
  <div v-if="getValidatedComments.length > 0" class="cont-commentaire">
    <h2 class="p-10 text-3xl">Commentaire(s)</h2>
    <div
      class="card-commentaire shadow-lg rounded-full"
      v-for="(comment, key) in getValidatedComments"
      :key="comment.from"
      :class="{ 'self-start text-left bg-blue-400': ((key % 2) != 0), 'self-end text-right bg-purple-500': ((key % 2) == 0) }"
    >
      <div class="overflow-hidden">
        <div class="px-6 py-4">
          <div class="font-bold mb-2">{{ comment.from }}</div>
          <p class>{{ comment.text }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    comments: {
      type: Array,
      required: true
    }
  },
  computed: {
    getValidatedComments() {
      return this.comments.filter(com => com.validated);
    }
  }
};
</script>

<style lang="postcss" scoped>

.cont-commentaire {
  width: 100%;
  display: flex;
  flex-direction: column;
}
.card-commentaire {
  min-width: 40%;
}

</style>
